> ## Documentation Index
> Fetch the complete documentation index at: https://docs.droxy.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Chatbot Leads

> Get the leads generated from the chatbot.



## OpenAPI

````yaml /api-reference/v1.json get /v1/lead/{id}
openapi: 3.0.0
info:
  title: Droxy API
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.droxy.ai
security: []
tags: []
paths:
  /v1/lead/{id}:
    get:
      tags:
        - Lead
      summary: Get Chatbot Leads
      description: Get the leads generated from the chatbot.
      operationId: ApiLeadController_getConversations
      parameters:
        - name: id
          required: true
          in: path
          description: The chatbot's id.
          schema:
            type: string
        - name: start
          required: false
          in: query
          description: >-
            The beginning of the date range to query. Unix timestamp in
            milliseconds.
          schema:
            type: number
        - name: end
          required: false
          in: query
          description: The end of the date range to query. Unix timestamp in milliseconds.
          schema:
            type: number
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiExportedLeadsData'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '404':
          description: Element not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorResponseDto'
      security:
        - x-api-key: []
components:
  schemas:
    ApiExportedLeadsData:
      type: object
      properties:
        chatbotName:
          type: string
          description: The chatbot's name.
        startInterval:
          type: string
          description: >-
            The beginning of the date range to query. Unix timestamp in
            milliseconds.
        endInterval:
          type: string
          description: The end of the date range to query. Unix timestamp in milliseconds.
        createdAt:
          type: string
          description: The date the chatbot was created. Unix timestamp in milliseconds.
        leads:
          description: An array of leads.
          type: array
          items:
            $ref: '#/components/schemas/ApiExportedLeadData'
      required:
        - chatbotName
        - startInterval
        - endInterval
        - createdAt
        - leads
    ApiErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: Error status code.
        message:
          description: Error message or an array of error messages.
          type: array
          items:
            type: string
        error:
          type: string
          description: Source of the error.
      required:
        - statusCode
        - message
        - error
    ApiExportedLeadData:
      type: object
      properties:
        createdAt:
          type: number
          description: The date the lead was created. Unix timestamp in milliseconds.
        email:
          type: string
          description: The lead's email.
        name:
          type: string
          description: The lead's name.
        phone:
          type: string
          description: The lead's phone number.
      required:
        - createdAt
        - email
        - name
        - phone
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````